Bug 85170 - FillAuto doesn't fill formulas in hidden columns
Summary: FillAuto doesn't fill formulas in hidden columns
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.2.6.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-18 09:40 UTC by Migrec
Modified: 2019-12-28 03:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (245.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-15 10:54 UTC, Migrec
Details
Example FillAuto (11.94 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-12-26 11:54 UTC, Sergey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Migrec 2014-10-18 09:40:05 UTC
I use FillAuto into a region sPremiereLigneDonnees = "A7:Q7"

My columns A and B are hidden and the macro doesn't copy the formulas in these columns.
For the displayed columns, formulas are copied as exepted.

This behavior was not present in a previous version. An user told me that this bug is not present with Apache OpenOffice 4.1.1.

Tested with Ubuntu 14.04 with LibreOffice Version: 4.2.6.3 Build ID: 420m0(Build:3)
Comment 1 ign_christian 2014-10-18 10:16:03 UTC
Hi.. Perhaps same problem as Bug 56799 ?
Comment 2 Buovjaga 2014-11-15 09:00:44 UTC
Please provide a sample document with the macro. Change back to unconfirmed after you have provided the document.
Comment 3 Migrec 2014-11-15 10:54:15 UTC
Created attachment 109512 [details]
Example

I've attached a file with the problem.

In the sheet "Modèle_résultats", the A & B columns are hidden. The button "Générer les feuilles de résultats" (in Menu sheet) copy the sheet "Modèle_résultats" but without formulas after the line 10 in A and B columns.

If I show the A and B columns, all works perfectly. All the formulas are copy in new sheets generated !

But I want that the column A and B stay hidden.

Sorry for my english.
Comment 4 Buovjaga 2014-11-15 11:35:15 UTC
Thank you very much for the easy test case.
It appears I don't experience the problem. After I click "Générer les feuilles de résultats" and let it run, I select all columns and right click C - Show.

Resu6M A7 has:
=IF(SUMPRODUCT((INDIRECT($H$1&".$J$7:$J$200")=$I$1) * (INDIRECT($H$1&".$K$7:$K$200")=D7) * (INDIRECT($H$1&".$A$7:$A$200")))=0;"";SUMPRODUCT((INDIRECT($H$1&".$J$7:$J$200")=$I$1) * (INDIRECT($H$1&".$K$7:$K$200")=D7) * (INDIRECT($H$1&".$A$7:$A$200"))))

Results were:
Feuille « Resu3F » : OK (63 concurrents).
Feuille « Resu3M » : OK (66 concurrents).
Feuille « Resu4F » : OK (74 concurrents).
Feuille « Resu4M » : OK (72 concurrents).
Feuille « Resu5F » : OK (67 concurrents).
Feuille « Resu5M » : OK (68 concurrents).
Feuille « Resu6F » : OK (67 concurrents).
Feuille « Resu6M » : OK (72 concurrents).

Would it be possible for you to test using LibO 4.3.x?

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29

and

Version: 4.3.3.2
Build ID: 430m0(Build:2)
Comment 5 Migrec 2014-11-15 21:48:56 UTC
Yes, it seems good but it doesn't... My model sheet contains 10 formulas (A7 to A16) like others columns.

Check the cell A17. For me, this cell is empty. The C17, D17 are full.
Comment 6 Buovjaga 2014-11-16 05:23:38 UTC
(In reply to migrec from comment #5)
> Yes, it seems good but it doesn't... My model sheet contains 10 formulas (A7
> to A16) like others columns.
> 
> Check the cell A17. For me, this cell is empty. The C17, D17 are full.

Ok looking at the sheet "Modèle_résultats", A7-16, B7-16, C7-16 have formulas. So are you saying that the Resu sheets should have formulas in A & B all the way down like C is having? Like to Rang 72 in Resu6M?
Comment 7 Migrec 2014-12-09 09:26:24 UTC
(In reply to Beluga from comment #6)
> Ok looking at the sheet "Modèle_résultats", A7-16, B7-16, C7-16 have
> formulas. So are you saying that the Resu sheets should have formulas in A &
> B all the way down like C is having? Like to Rang 72 in Resu6M?

Yes ! The Resu* sheets should have formulas in A & B columns from line 7 to line 72 for Resu6M.
Comment 8 Buovjaga 2014-12-09 10:49:43 UTC
Ok thanks for the information. I'm setting to NEW because of it.
Comment 9 QA Administrators 2015-12-20 16:05:58 UTC Comment hidden (obsolete)
Comment 10 Sergey 2016-12-26 11:54:46 UTC
Created attachment 129944 [details]
Example FillAuto
Comment 11 Sergey 2016-12-26 12:07:11 UTC
Version: 5.2.4.2
ID build: 3d5603e1122f0f102b62521720ab13a38a4e0eb0
Windows 5.1

Bug still present.
When cell are visible, it works fine, else FillAuto (FillSeries) do nothing.

It seems to me, it was made for filter, but correct way is exclude filtered, not hidden cells.
Comment 12 QA Administrators 2017-12-27 03:25:06 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2019-12-28 03:31:19 UTC
Dear Migrec,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug